/*    
** ehome:ehome head file.
** Copyright (C) 2002~2007  Feynman Software
** Current maintainer: Tang Jianbin.

** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License along
** with this program; if not, write to the Free Software Foundation, Inc.,
** 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#ifndef _EHOME_H_
#define _EHOME_H_
#include <minigui/common.h>
#include <minigui/minigui.h>
#include <minigui/gdi.h>
#include <minigui/window.h>

//#define _OPEN_TIMER_

//滚动条改变后，通知相关联的列表更新选中项
#define MSG_LISTCHANGE MSG_USER+121

//屏幕大小
#define EHOME_SCREEN_W      681
#define EHOME_SCREEN_H      520

#define LIST_BG_COLOR_SELECTED      0xFF4E649D

#define LIST_TX_COLOR_NORMAL        PIXEL_lightwhite 
#define LIST_TX_COLOR_SELECTED      PIXEL_yellow 

typedef enum {
    ARM_NONE,
    ARM_ATHOME,
    ARM_OFFHOME,
    ARM_MAX
}ARM_TYPE;
extern char *g_arm_status[];

extern ARM_TYPE g_armstatus;        //当前布防的状态
extern int      g_ehome_off_x;      //窗口的偏移量
extern int      g_ehome_off_y;
extern PLOGFONT g_logfont;          //utf-8的逻辑字体

//界面支持的语言种类 
typedef enum
{
    LANGUAGE_ZH_CN,
    LANGUAGE_ZH_TW,
    LANGUAGE_EN,
    LANGUAGE_MAX
}LANGUAGE_TYPE;

extern LANGUAGE_TYPE g_language_type;
typedef struct _EHOME_PIC_DOMAIN_INFO
{
    char *name;
    int id_base;
    char **file_array;
}EHOME_PIC_DOMAIN_INFO;
/*
 * \def TABLESIZE(table)
 * \brief A macro returns the number of elements in a \a table.
 */
#define TABLESIZE(table)    (sizeof(table)/sizeof(table[0]))
/*创建安防界面*/
void CreateSecurityWindow(HWND hOwner, BOOL bDisarm);
/*创建抄数界面*/
void CreateCountWindow(HWND hOwner);
/*创建短信界面*/
void CreateSMSWindow(HWND hOwner);
/*创建家电界面*/
void CreateHAWindow(HWND hOwner);
/*创建服务界面*/
void CreateSeviceWindow(HWND hOwner);
/*创建设置界面*/
void CreateSettingWindow(HWND hOwner);
/*创建房间控制界面*/
void CreateHARoomWindow(HWND hOwner);
/*格式化输出时间日期*/
char* mk_date (char* buff);
char* mk_time (char* buff);
#endif
