/*    
** mgpaint: the mgpaint for MiniGUI.
** Copyright (C) 2002~2007  Feynman Software

** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License along
** with this program; if not, write to the Free Software Foundation, Inc.,
** 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/

#ifndef	RESOURCE_H
#define	RESOURCE_H

#define IDM_NEW         110
#define IDM_OPEN        120
#define IDM_SAVE        130
#define IDM_SAVEAS      140
#define IDM_CLOSE       150
#define IDM_EXIT        160

#define IDM_UNDO        200
#define IDM_REDO        201
#define IDM_COPY        210
#define IDM_PASTE       220
#define IDM_CUT         221
#define IDM_DELETE      222
#define IDM_SELALL      223
#define IDM_DESEL       224
#define IDM_REFRESH     228       

#define IDM_EDIT_FONT   310
#define IDM_EDIT_BGCLR  311
#define IDM_EDIT_FGCLR  312
#define IDM_EDIT_REVCLR 315
#define IDM_EDIT_PROP   313
#define IDM_REVOLVE     314
#define IDM_SCALE       316

#define IDM_ABOUTMGP    410
#define IDM_ABOUT       420


#define IDC_CANVAS      3000

#define TBL_OPERATE    3001
#define TBL_COLOR      3002
#define TBL_MODE       3003
#define TBL_FGCLR      3004
#define TBL_BGCLR      3005
#define TBL_INFO       3006
#define INPUT_EDIT     3100

// Define the color table

#define COLOR_BASE     1000
#define COLOR_1        1001
#define COLOR_2        1002
#define COLOR_3        1003
#define COLOR_4        1004
#define COLOR_5        1005
#define COLOR_6        1006
#define COLOR_7        1007
#define COLOR_8        1008
#define COLOR_9        1009
#define COLOR_10        1010
#define COLOR_11        1011
#define COLOR_12        1012
#define COLOR_13        1013
#define COLOR_14        1014
#define COLOR_15        1015
#define COLOR_16        1016
#define COLOR_17        1017
#define COLOR_18        1018
#define COLOR_19        1019
#define COLOR_20        1020
#define COLOR_21        1021
#define COLOR_22        1022
#define COLOR_23        1023
#define COLOR_24        1024
#define COLOR_25        1025
#define COLOR_26        1026
#define COLOR_27        1027
#define COLOR_28        1028

//define operation

#define OP_BASE         2000
#define OP_SEL_REGION	2001
#define OP_SEL_RECT		2002
#define OP_ERASE  		2003
#define OP_FILL  		2004
#define OP_GETCOLOR	    2005
#define OP_SCALE		2006
#define OP_POINT		2007
#define OP_ADVLINE		2008
#define OP_SPRAY		2009
#define OP_WORD			2010
#define OP_LINE			2011
#define OP_CURVE		2012
#define OP_RECT			2013
#define OP_POLYGON		2014
#define OP_ELLIPSE		2015
#define OP_ROUNDRECT      2016	

//ģʽ
#define MD_TRANSP	1
#define MD_OPACITY  0


#ifndef _LARGE_SCREEN
#define LINEMODE_NUM    3
#define BLOCKMODE_NUM   3
#define BKMODE_NUM      2
#define ERASEMODE_NUM       3
#define SCALEMODE_NUM   5
#define SPRAYMODE_NUM   3
#define ADLINEMODE_NUM    5
#else
#define LINEMODE_NUM    5
#define BLOCKMODE_NUM   3
#define BKMODE_NUM      2
#define ERASEMODE_NUM       5
#define SCALEMODE_NUM   5
#define SPRAYMODE_NUM   3
#define ADLINEMODE_NUM    5
#endif

#define _LANG_ZH_

#ifdef _LANG_ZH_

    #define _T_FILE_    "ļ"
    #define _T_NEW_     "½"
    #define _T_OPEN_    "..."
    #define _T_SAVE_     ""
    #define _T_SAVEAS_  "Ϊ..."
    #define _T_CLOSE_   "ر"
    #define _T_EXIT_    "˳"

    #define _T_EDIT_    "༭"
    #define _T_UNDO_    ""
    #define _T_REDO_    "ָ"
    #define _T_COPY_    ""
    #define _T_PASTE_   "ճ"
    #define _T_CUT_     ""
    #define _T_DELETE_  "ɾ"
    #define _T_SELALL_  "ȫѡ"
    #define _T_DESEL_   "ȡѡ"
    #define _T_REFRESH_ "ˢ"

    #define _T_PICTURE_ "ͼ"
    #define _T_FONT_    "..."
    #define _T_BGCOLOR_ "ɫ..."
    #define _T_FGCOLOR_ "ǰɫ..."
    #define _T_REVCLR_  "ɫ"
    #define _T_PROPERTY_ "..."
    #define _T_REVOLVE_  "ת..."
    #define _T_SCALE_    "..."

    #define _T_ABOUT_   ""
    #define _T_ABOUT_MGPaint_   " MGPaint..."
    #define _T_ABOUT_MiniGUI_   " MiniGUI..."


    #define _T_SET_PROP_    ""
    #define _T_SET_SCALE_   ""
    #define _T_WIDTH_       ""
    #define _T_HEIGHT_      "߶"
    #define _T_GRAY_        "Ҷ"
    #define _T_COLOR_       "ɫ"
    #define _T_REVERSE_     "ת"
    #define _T_LEFTRIGHT_   ""
    #define _T_UPDOWN_      ""
    #define _T_REVOL_       "ת"

#else 
    #define _T_FILE_    "File"
    #define _T_NEW_     "New"
    #define _T_OPEN_    "Open..."
    #define _T_SAVE_    "Save"
    #define _T_SAVEAS_  "Save as..."
    #define _T_CLOSE_   "Close"
    #define _T_EXIT_    "Exit"

    #define _T_EDIT_    "Edit"
    #define _T_UNDO_    "Undo"
    #define _T_REDO_    "Redo"
    #define _T_COPY_    "Copy"
    #define _T_PASTE_   "Paste"
    #define _T_CUT_     "Cut"
    #define _T_DELETE_  "Delete"
    #define _T_SELALL_  "Select all"
    #define _T_DESEL    "Deselect"
    #define _T_REFRESH_ "Refresh"

    #define _T_PICTURE_ "Picture"
    #define _T_FONT_    "Font..."
    #define _T_BGCOLOR_ "Background color..."
    #define _T_FGCOLOR_ "Foreground color ..."
    #define _T_REVCLR_  "Reverse Color"
    #define _T_PROPERTY_ "Property..."
    #define _T_REVOLVE_  "Revolve..."
    #define _T_SCALE_    "Scale..."

    #define _T_ABOUT_   "About"
    #define _T_ABOUT_MGPaint_   "About MGPaint..."
    #define _T_ABOUT_MiniGUI_   "About MiniGUI..."


    #define _T_SET_PROP_    "Set Property"
    #define _T_SET_SCALE_   "Set Scale"
    #define _T_WIDTH_       "Width"
    #define _T_HEIGHT_      "Height"
    #define _T_GRAY_        "Gray"
    #define _T_COLOR_       "Color"
    #define _T_REVERSE_     "Reverse"
    #define _T_LEFTRIGHT_   "Left-right"
    #define _T_UPDOWN_      "Up-down"
    #define _T_REVOL_       "Revolve"

#endif

#endif

