/*    
** mgpaint: the mgpaint for MiniGUI.
** Copyright (C) 2002~2007  Feynman Software

** This program is free software; you can redistribute it and/or modify
** it under the terms of the GNU General Public License as published by
** the Free Software Foundation; either version 2 of the License, or
** (at your option) any later version.

** This program is distributed in the hope that it will be useful,
** but WITHOUT ANY WARRANTY; without even the implied warranty of
** MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
** GNU General Public License for more details.

** You should have received a copy of the GNU General Public License along
** with this program; if not, write to the Free Software Foundation, Inc.,
** 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
*/


/********************* Window size and postion *******************************/

#ifndef _WND_SIZE_H
  #define _WND_SIZE_H
#define _LARGE_SCREEN
#define PDA_SIZE_320x240


#ifdef PDA_SIZE_160x160
  //#define CAPTION_H                 14
  #define CAPTION_H                 0
  #define STARTBAR_H                0
  #define MAINWINDOW_YY             160
  #define MAINWINDOW_RX             160
#else
  //#define CAPTION_H                 17
  #define CAPTION_H                 0
#endif


#ifdef PDA_SIZE_240x320
  #define MAINWINDOW_YY             320
  #define MAINWINDOW_RX             240
#endif



#ifdef PDA_SIZE_320x240
#ifdef _LARGE_SCREEN
  #define MAINWINDOW_YY             480
  #define MAINWINDOW_RX             640
#else
  #define MAINWINDOW_YY             240
  #define MAINWINDOW_RX             320
#endif
#endif

#ifdef _SCREEN_1024
  #define MAINWINDOW_YY             768 
  #define MAINWINDOW_RX             1024 
#endif

#ifdef _PC_MODE
  #define CAPTIONBAR_X              0
  #define CAPTIONBAR_Y              0
  #define CAPTIONBAR_H              26
  #define STARTBAR_X                0
  #ifdef _LARGE_SCREEN
    #define STARTBAR_H                29
  #else
    #define STARTBAR_H                26
  #endif
#else
  #define CAPTIONBAR_X              0
  #define CAPTIONBAR_Y              0
  #define CAPTIONBAR_H              24
  #define STARTBAR_H                24
#endif

#define MAINWINDOW_LX               0
#define MAINWINDOW_TY               CAPTIONBAR_H

#define MAINWINDOW_BY               (MAINWINDOW_YY-STARTBAR_H)
//#define MAINWINDOW_BY               (MAINWINDOW_YY)

#ifdef _PC_MODE
  #define STARTBAR_Y                MAINWINDOW_BY
#else
  #define STARTBAR_Y                (MAINWINDOW_YY-STARTBAR_H)
#endif



#define MAINWINDOW_W                (MAINWINDOW_RX - MAINWINDOW_LX)
#define MAINWINDOW_H                (MAINWINDOW_BY - MAINWINDOW_TY)


#define DESKTOP_LX                  0
#define DESKTOP_TY                  0

#define DESKTOP_RX                  (MAINWINDOW_RX+1)
//#define DESKTOP_BY                  (MAINWINDOW_BY+1)
#define DESKTOP_BY                  (MAINWINDOW_YY+1)

#ifdef _TARGET_I386
  #define DESK_RX                   1024
  #define DESK_BY                   768
#else
  #define DESK_RX                   (MAINWINDOW_RX+1)
  #define DESK_BY                   (MAINWINDOW_YY+1)
#endif

#define OFFSET_CLIENTSCREEN         0 

#define CAPTIONBAR_W                MAINWINDOW_W
#define STARTBAR_W                  MAINWINDOW_W
#define STARTBAR_HEIGHT             STARTBAR_H

#define CAPTION_HEIGHT              CAPTION_H

#define MAINWINDOW_WIDTH            MAINWINDOW_W
#define MAINWINDOW_HEIGHT           MAINWINDOW_H

#ifdef _SYSFONT_24
#define SYSFONT_H       24
#define SYSFONT_W       12
#define SYSCFONT_W      24
#endif

#ifdef _SYSFONT_12
#define SYSFONT_H       12
#define SYSFONT_W       6
#define SYSCFONT_W      12 
#endif


#endif /* _WND_SIZE_H */
